> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Check Onboarding Item Complete

> Evaluates whether an onboarding step is complete and upserts the step state to setup when so.

Not available to API keys yet. It will need `organization:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /stablecoin-payroll/check-onboarding-item-complete
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /stablecoin-payroll/check-onboarding-item-complete:
    post:
      operationId: checkOnboardingItemComplete
      summary: Check Onboarding Item Complete
      description: >-
        Evaluates whether an onboarding step is complete and upserts the step
        state to setup when so.


        Not available to API keys yet. It will need `organization:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CheckOnboardingItemCompleteRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CheckOnboardingItemCompleteResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    CheckOnboardingItemCompleteRequest:
      type: object
      properties:
        onboardingItem:
          type: string
          enum:
            - INVITE_ADMINS
            - SELECT_NETWORKS_AND_STABLECOINS
            - ADD_EMPLOYEES
            - INVITE_EMPLOYEES
            - ADD_PAYROLL_INTEGRATION
            - CONFIGURE_PAYROLL_SETTINGS
            - ADD_PAYMENT_INTEGRATION
        overrideForManualCompletion:
          type: boolean
      required:
        - onboardingItem
        - overrideForManualCompletion
    CheckOnboardingItemCompleteResponse:
      type: object
      properties:
        isComplete:
          type: boolean
      required:
        - isComplete
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
